<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package tdpersona
 * @since tdpersona 1.0
 */
?>

<article id="post-0" class="post no-results not-found">
	<header class="entry-header">
		<h2 class="entry-title"><?php _e( 'Ничего не найдено', 'tdpersona' ); ?></h2>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

			<p class="sub-info"><?php printf( __( 'Готовы опубликовать свою первую запись? <a href="%1$s">Вперед</a>.', 'tdpersona' ), admin_url( 'post-new.php' ) ); ?></p>

		<?php elseif ( is_search() ) : ?>

			<p class="sub-info"><?php _e( 'К сожалению, ничего не найдено.', 'tdpersona' ); ?></p>
			<?php get_search_form(); ?>

		<?php else : ?>

			<p class="sub-info"><?php _e( 'Воспользуйтесь поиском.', 'tdpersona' ); ?></p>
			<?php get_search_form(); ?>

		<?php endif; ?>
	</div><!-- .entry-content -->
</article><!-- #post-0 .post .no-results .not-found -->
